#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: equivalence
version: 0.2.5
id: equivalence-0.2.5-2b930d963c26d716146da1596e598b9c

license: BSD3
copyright:
maintainer: paba@di.ku.dk
stability: provisional
homepage: https://bitbucket.org/paba/equivalence/
package-url:
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description: This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
             E. Tarjan. "Efficiency of a Good But Not Linear Set Union
             Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
             relation.
             This implementation is a port of the /union-find/ package using the
             ST monad transformer (instead of the IO monad).
category: Algorithms, Data
author: Patrick Bahr
exposed: True
exposed-modules: Data.Equivalence.STT Data.Equivalence.Monad
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/equivalence-0.2.5
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/equivalence-0.2.5
              /usr/local/lib
hs-libraries: HSequivalence-0.2.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: STMonadTrans-0.3.2-b8a79ca024e878679d53e20352a55e2c
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/equivalence-0.2.5/html/equivalence.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/equivalence-0.2.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
